Skip to main content
GET
/
v1
/
opportunities
/
{id}
Get a opportunity
curl --request GET \
  --url https://api.slant.app/v1/opportunities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "abc123xyz",
  "name": "New Investment Opportunity",
  "book_id": "book123xyz",
  "pipeline": {
    "id": "pipeline123xyz",
    "name": "Sales Pipeline",
    "pipeline_type": "prospect"
  },
  "pipeline_stage": {
    "id": "stage123xyz",
    "name": "Qualified"
  },
  "assigned_to": {
    "id": "abc123xyz",
    "email": "user@example.com",
    "first_name": "John",
    "last_name": "Doe"
  },
  "value": 5000,
  "probability": 75,
  "target_close_date": "2023-11-07T05:31:56Z",
  "stage_updated_at": "2023-11-07T05:31:56Z",
  "household_id": "household123xyz",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

id
string
required

The opportunity ID

Response

successful

id
string
required

The opportunity ID

Example:

"abc123xyz"

name
string
required

The name of the opportunity

Example:

"New Investment Opportunity"

book_id
string
required

The book ID

Example:

"book123xyz"

pipeline
object
required
pipeline_stage
object
required
assigned_to
object
required
value
integer | null

The monetary value of the opportunity in dollars

Example:

5000

probability
integer | null

The probability of closing (0-100)

Example:

75

target_close_date
string<date-time> | null

Expected close date

stage_updated_at
string<date-time> | null

When the stage was last updated

household_id
string | null

The household ID (null for unassociated opportunities)

Example:

"household123xyz"

created_at
string<date-time>

When the opportunity was created

updated_at
string<date-time>

When the opportunity was last updated